---
title: ChannelSplitterNode
slug: Web/API/ChannelSplitterNode
tags:
  - API
  - Audio
  - ChannelSplitterNode
  - Interface
  - Reference
  - Splitter
  - Web Audio
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code>ChannelSplitterNode</code> interface, often used in conjunction with its opposite, {{domxref("ChannelMergerNode")}}, separates the different channels of an audio source into a set of mono outputs. This is useful for accessing each channel separately, e.g. for performing channel mixing where gain must be separately controlled on each channel.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/5255/WebAudioSplitter.png" style="display: block; height: 151px; width: 200px;"></p>

<p>If your <code>ChannelSplitterNode</code> always has one single input, the amount of outputs is defined by a parameter on its constructor and the call to {{domxref("AudioContext.createChannelSplitter()")}}. In the case that no value is given, it will default to <code>6</code>. If there are fewer channels in the input than there are outputs, supernumerary outputs are silent.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Number of inputs</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Number of outputs</th>
   <td>variable; default to <code>6</code>.</td>
  </tr>
  <tr>
   <th scope="row">Channel count mode</th>
   <td><code>"explicit</code>" Older implementations, as per earlier versions of the spec use <code>"max"</code>.</td>
  </tr>
  <tr>
   <th scope="row">Channel count</th>
   <td>Fixed to the number of outputs. Older implementations, as per earlier versions of the spec use <code>2 </code>(not used in the default count mode).</td>
  </tr>
  <tr>
   <th scope="row">Channel interpretation</th>
   <td><code>"discrete"</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("ChannelSplitterNode.ChannelSplitterNode()","ChannelSplitterNode()")}}</dt>
 <dd>Creates a new <code>ChannelSplitterNode</code> object instance.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>No specific property; inherits properties from its parent, </em><em>{{domxref("AudioNode")}}</em>.</p>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, </em><em>{{domxref("AudioNode")}}</em>.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createChannelSplitter","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#channelsplitternode', 'ChannelSplitterNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ChannelSplitterNode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
